%global pypi_name requests-kerberos
%global pkg_name requests_kerberos

Name:           python%{python3_pkgversion}-%{pypi_name}
Version:        0.12.0
Release:        1%{?dist}
Summary:        A Kerberos authentication handler for python-requests

License:        MIT License
URL:            https://github.com/requests/%{pypi_name}
Source0:        https://github.com/requests/%{pypi_name}/archive/v%{version}.tar.gz
BuildArch:      noarch

Requires:       python(abi) >= 3.4
Requires:       python%{python3_pkgversion}-cryptography >= 1.3
Requires:       python%{python3_pkgversion}-kerberos >= 1.1.8
Requires:       python%{python3_pkgversion}-kerberos < 2.0.0
Requires:       python%{python3_pkgversion}-requests >= 1.1.0

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description
Requests is an HTTP library, written in Python, for human beings. This library
adds optional Kerberos/GSSAPI authentication support and supports mutual
authentication.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
#%{__python3} setup.py test

%files
%doc AUTHORS
%doc HISTORY.rst
%doc LICENSE
%doc README.rst
%{python3_sitelib}/%{pkg_name}
%{python3_sitelib}/%{pkg_name}-%{version}-py?.?.egg-info

%changelog
* Mon Jul 29 2019 Daniel Uvehag - 0.12.0-1
- Bump to version 0.12
- Add additional dependencies

* Tue Jul 05 2016 Daniel Uvehag - 0.10.0-1
- Initial package.
